int N;
int korak = 1;
double x, x1, d, d1;
N = int.Parse(Console.ReadLine());
string[] s = Console.ReadLine().Split();
x = double.Parse(s[0]);
x1 = double.Parse(s[1]);
d = Math.Abs(x);
d1 = Math.Abs(x1);
if (d == 1 && d1 == 1)
    N = 1; korak= 1;
if (d == d)
    korak = 3;
if (d > d1)
    korak = 4;
d = d - 1;
if (d1 > d)
    korak = 4;
Console.WriteLine(N);
Console.WriteLine(korak);